Imagick::adaptiveSharpenImage
Imagick::addImage
Imagick
PHP Manual

# Imagick::adaptiveThresholdImage

(PECL imagick 2.0.0)

Imagick::adaptiveThresholdImage — Selects a threshold for each pixel based on a range of intensity

### Description

bool Imagick::adaptiveThresholdImage ( int `$width` , int `$height` , int `$offset` )

Selects an individual threshold for each pixel based on the range of intensity values in its local neighborhood. This allows for thresholding of an image whose global intensity histogram doesn't contain distinctive peaks.

### Parameters

`width`

  Width of the local neighborhood.

`height`

  Height of the local neighborhood.

`offset`

  The mean offset

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::adaptiveThresholdImage()

`<?php
function adaptiveThresholdImage($imagePath, $width, $height, $adaptiveOffset) {
$imagick = new \Imagick(realpath($imagePath));
$adaptiveOffsetQuantum = intval($adaptiveOffset * \Imagick::getQuantum());
$imagick->adaptiveThresholdImage($width, $height, $adaptiveOffsetQuantum);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::adaptiveSharpenImage
Imagick::addImage
Imagick
PHP Manual